Auto Multiple Choice - Bug # 913: Erreur de correction dle a la non initialisation du seed de I13kernel
Description: Bonjour,

J'utilise dans chaque question un tirage aléatoire pour décider si la bonne réponse est affichée ou une
mauvaise réponse.

Pour ce tirage, j'utilise I8kernel avec la fonction \fp_eval:n
@ \NewExpandableDocumentCommand \randomint { m m } { \fp_eval:n { randint( #1, #2) }} @

Lors de la correction, la graine du pseudo-générateur n'est pas remis a la méme valeur ce qui fait que les
cases calculées ne sont plus les mémes. Voir les fichiers joints, sans gestion de la graine et avec gestion de
la graine avec @\sys_gset_rand_seed:n {42}@

History

02/07/2024 11:27 am - Yves Combe
Pardon pour I'accent circonflexe en trop dans le titre

02/07/2024 03:41 pm - Yves Combe
- File source.tex added

Yves Combe wrote:

> Bonjour,

>

> J'utilise dans chaque question un tirage aléatoire pour décider si la bonne réponse est affichée ou une mauvaise réponse.

>

> Pour ce tirage, j'utilise I3kernel avec la fonction \fp_eval:n

> @ \NewExpandableDocumentCommand \randomint { m m } { \fp_eval:n { randint( #1, #2) }} @

>

> Lors de la correction, la graine du pseudo-générateur n'est pas remis a la méme valeur ce qui fait que les cases calculées ne sont plus les mémes.

Voir les fichiers joints, sans gestion de la graine et avec gestion de la graine avec @\sys_gset_rand_seed:n {42}@
Je me dis que le source manque peut-étre...
03/15/2024 02:11 pm - Alexis Bienveniie

- Status changed from New to WontFix

C'est effectivement au concepteur su sujet de penser a fixer la graine du générateur aléatoire qu'il utilise.
